skip_output: [meta, success]
no_tty: true
commit-msg:
  commands:
    lint:convco:
      run: cat {1} | convco check --from-stdin
    lint:typos:
      run: cat {1} | typos -
pre-commit:
  parallel: false
  commands:
    lint:typos:staged_files:
      run: typos {staged_files}
    shellcheck:
      glob: "*.sh"
      run: shellcheck {staged_files}
    shfmt:
      glob: "*.sh"
      run: shfmt -d -ln bash -i 2 {staged_files}
pre-push:
  parallel: false
  commands:
    check:nix:
      tags: check
      run: nix flake check
